Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffuse/Diffuse.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffuse/Diffuse.material	(revision 2024)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffuse/Diffuse.material	(revision 2024)
@@ -0,0 +1,310 @@
+material GameTools/CubeMap/Reduce
+{ 
+
+   technique 
+   { 
+       pass 
+       { 
+       //depth_check off
+	   lighting off
+	
+	    vertex_program_ref GameTools/CubeMap/VertexPrograms/ReduceVS
+         {       
+           // param_named_auto worldViewProj worldviewproj_matrix
+	       // param_named_auto world world_matrix 
+         } 
+	 fragment_program_ref GameTools/CubeMap/FragmentPrograms/ReducePS
+         { 
+		//param_named_auto cameraPos camera_position	 
+         param_named nFace int 0
+         param_named CUBEMAP_SIZE int 256
+         //param_named RATE int 2
+         
+        } 
+		
+	 //Cube map for reflections and refractions	
+	 texture_unit
+	 {
+	   filtering point point point
+	   cubic_texture cubemap.jpg combinedUVW
+	   tex_address_mode clamp
+	  // env_map cubic_reflection
+	   colour_op modulate
+	 }
+
+
+	}
+    }
+}
+
+material GameTools/Diffuse
+{ 
+   technique 
+   { 
+      pass 
+      { 
+		
+		IllumTechniques
+		{
+			RenderTechnique DistanceCubeMap
+			{
+				update_interval		1
+				distance_calc false						
+			}
+			RenderTechnique ReducedColorCubeMap
+			{
+				update_interval		1
+				reduced_resolution 4
+				resolution 128
+				distance_calc false
+				face_angle_calc false
+				update_all_face		true
+			}
+		}
+      
+
+		vertex_program_ref GameTools/DiffuseVS
+		{       
+		 param_named_auto worldViewProj worldviewproj_matrix 
+    		param_named_auto world world_matrix  
+        
+		} 
+		fragment_program_ref GameTools/DiffusePS
+		{ 
+			param_named REDUCED_CUBEMAP_SIZE int 8
+			param_named lastCenter float3 0 0 0		
+		} 
+		
+		//Cube map for reflections and refractions	
+		texture_unit
+		{
+			cubic_texture cubemap.jpg combinedUVW
+			tex_address_mode clamp
+			colour_op replace
+		}
+
+		//Cube map of distances
+		texture_unit
+		 {
+		   cubic_texture cubemap.jpg combinedUVW
+		   tex_address_mode clamp
+		   colour_op replace
+		 }
+	 }
+   }
+}
+
+
+
+vertex_program Diffuse2VS hlsl
+{
+	source GameTools_Diffuse.hlsl
+	entry_point DiffuseVS
+	target vs_3_0	
+} 
+
+fragment_program Diffuse2PS hlsl
+{
+	source GameTools_Diffuse.hlsl
+	entry_point DiffusePS
+	target ps_3_0
+	flow_control prefer
+} 
+
+
+
+material GameTools/Diffuse/use
+{ 
+   technique 
+   { 
+      pass 
+      { 
+		
+		IllumTechniques
+		{
+			
+			RenderTechnique DistanceCubeMap
+			{
+				update_interval		1
+				update_all_face		true
+				distance_calc		false
+				face_angle_calc		false
+				resolution			128						
+			}
+			RenderTechnique ReducedColorCubeMap
+			{
+				update_interval		1
+				reduced_resolution 4
+				resolution 128
+				distance_calc false
+				face_angle_calc false
+				update_all_face		true
+			}
+		}
+      
+
+		vertex_program_ref Diffuse2VS
+		{       
+			param_named_auto worldViewProj worldviewproj_matrix 
+    		param_named_auto worldI inverse_world_matrix  
+    		param_named_auto world world_matrix
+        
+		} 
+		fragment_program_ref Diffuse2PS
+		{ 
+			param_named lastCenter float3 0 0 0
+		} 
+		
+		//Cube map for reflections and refractions	
+		texture_unit
+		{
+			
+		}
+
+		//Cube map of distances
+		texture_unit
+		 {
+		  
+		 }
+	 }
+   }
+}
+
+vertex_program DiffuseBumpVS hlsl
+{
+	source GameTools_Diffuse.hlsl
+	entry_point DiffuseBumpVS
+	target vs_3_0
+} 
+
+fragment_program DiffuseBumpPS hlsl
+{
+	source GameTools_Diffuse.hlsl
+	entry_point DiffuseBumpPS
+	target ps_3_0
+	flow_control prefer
+} 
+
+
+
+material GameTools/DiffuseBump
+{ 
+   technique 
+   { 
+      pass 
+      { 
+		
+		IllumTechniques
+		{
+			RenderTechnique DistanceCubeMap
+			{
+				update_interval		1
+				update_all_face		true
+				distance_calc		false
+				face_angle_calc		false
+				resolution			128						
+			}
+			RenderTechnique ReducedColorCubeMap
+			{
+				update_interval		1
+				reduced_resolution 4
+				resolution 128
+				distance_calc false
+				face_angle_calc false
+				update_all_face		true
+			}
+		}
+      
+
+		vertex_program_ref DiffuseBumpVS
+		{       
+			param_named_auto worldViewProj worldviewproj_matrix 
+    		param_named_auto world world_matrix
+        
+		} 
+		fragment_program_ref DiffuseBumpPS
+		{ 
+			param_named_auto worldI inverse_world_matrix  
+    		param_named lastCenter float3 0 0 0
+		} 
+		
+		//Cube map for reflections and refractions	
+		texture_unit
+		{			
+		}
+
+		//Cube map of distances
+		texture_unit
+		 {
+		     
+		 }
+		 texture_unit
+		 {
+			texture atheneNormalMapNew.dds
+		 }
+	 }
+   }
+}
+
+fragment_program DiffuseP2PPS hlsl
+{
+	source GameTools_Diffuse.hlsl
+	entry_point EnvMapDiffuseP2PPS
+	target ps_3_0
+	flow_control prefer
+} 
+
+material GameTools/DiffuseP2P
+{ 
+   technique 
+   { 
+      pass 
+      { 
+		
+		IllumTechniques
+		{
+			RenderTechnique DistanceCubeMap
+			{
+				update_interval		1
+				resolution 128
+				distance_calc false	
+				face_angle_calc false
+				update_all_face		true					
+			}
+			RenderTechnique ReducedColorCubeMap
+			{
+				update_interval		1
+				reduced_resolution 4
+				resolution 128
+				distance_calc false
+				face_angle_calc false
+				update_all_face		true
+			}
+		}
+      
+
+		vertex_program_ref Diffuse2VS
+		{       
+			param_named_auto worldViewProj worldviewproj_matrix 
+    		param_named_auto worldI inverse_world_matrix  
+    		param_named_auto world world_matrix        
+		} 
+		fragment_program_ref DiffuseP2PPS
+		{ 
+			param_named lastCenter float3 0 0 0				
+		} 
+		
+		//Cube map for reflections and refractions	
+		texture_unit
+		{
+			
+		}
+
+		//Cube map of distances
+		texture_unit
+		 {
+		  
+		 }
+	 }
+   }
+}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 1691)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 2024)
@@ -309,4 +309,35 @@
 }
 
+material GameTools/BlurLightVolume
+{ 
+
+   technique 
+   { 
+      
+      pass 
+      { 
+        depth_check off
+        cull_hardware none
+        scene_blend alpha_blend	
+        	
+		vertex_program_ref GameTools/BlurVS
+        {       
+                     
+	    } 
+		fragment_program_ref  GameTools/CopyPS
+        { 
+            param_named_auto width viewport_width
+			param_named_auto height viewport_height
+			param_named float alpha 0.3	
+        }
+        texture_unit
+        {
+			filtering bilinear
+        }
+        
+       }
+    }
+}
+
 material GameTools/BlurCubeFace
 { 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 1691)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 2024)
@@ -10,4 +10,11 @@
 	source GameTools_Blur.hlsl
 	entry_point BlurPS
+	target ps_3_0
+} 
+
+fragment_program GameTools/CopyPS hlsl
+{
+	source GameTools_Blur.hlsl
+	entry_point CopyPS
 	target ps_3_0
 } 
@@ -41,77 +48,4 @@
 } 
 
-vertex_program GameTools/PostProc1_VS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point defaultVS
-	target vs_2_0
-} 
-
-fragment_program GameTools/PostProc_Black hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point BlackPS
-	target ps_2_0
-
-} 
-
-fragment_program GameTools/PostProc1_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point defaultPS
-	target ps_2_0
-
-} 
-
-fragment_program GameTools/GlowCut_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point GlowCutPS
-	target ps_2_0
-
-} 
-
-fragment_program GameTools/Luminance_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point LuminancePS
-	target ps_2_0
-
-} 
-
-fragment_program GameTools/GlowAdd_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point GlowAddPS
-	target ps_2_0
-} 
-
-fragment_program GameTools/ToneMap_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point ToneMapPS
-	target ps_2_0
-} 
-
-fragment_program GameTools/GlowBlurH_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point GlowBlurHPS
-	target ps_2_0
-} 
-
-fragment_program GameTools/GlowBlurV_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point GlowBlurVPS
-	target ps_2_0
-} 
-
-fragment_program GameTools/TextureCopy_PS hlsl
-{
-	source GameTools_PostProc.hlsl
-	entry_point CopyPS
-	target ps_2_0
-} 
 
 
@@ -342,33 +276,5 @@
 } 
 
-vertex_program GameTools/SpriteVS hlsl
-{
-	source GameTools_Sprite.hlsl
-	entry_point SpriteVS
-	target vs_2_0
-} 
-
-fragment_program GameTools/SpritePS hlsl
-{
-	source GameTools_Sprite.hlsl
-	entry_point SpritePS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/SBBVS hlsl
-{
-	source GameTools_Sprite.hlsl
-	entry_point SBB_SpriteVS
-	target vs_3_0
-} 
-
-fragment_program GameTools/SBBPS hlsl
-{
-	source GameTools_Sprite.hlsl
-	entry_point SBB_SpritePS
-	target ps_3_0
-
-} 
+
 
 vertex_program GameTools/SceneCameraDepthVS hlsl
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/bultibounce/MetalTeapot.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/bultibounce/MetalTeapot.material	(revision 2024)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/bultibounce/MetalTeapot.material	(revision 2024)
@@ -0,0 +1,433 @@
+vertex_program DefaultVS hlsl
+{
+	source MetalTeapot.hlsl
+	entry_point DefaultVS
+	target vs_2_0 
+} 
+
+fragment_program Metal1BouncePS hlsl
+{
+	source MetalTeapot.hlsl
+	entry_point Metal1BouncePS
+	target ps_3_0
+} 
+
+material MetalTeapot
+{ 
+   technique 
+   { 
+      pass 
+      { 
+		IllumTechniques
+		{
+			RenderTechnique ColorCubeMap
+			{
+				update_interval		0
+				distance_calc false
+				face_angle_calc false					
+			}
+			RenderTechnique DistanceCubeMap
+			{
+				update_interval		0
+				distance_calc true false
+				face_angle_calc true false		
+			}
+		
+		 }
+		 vertex_program_ref DefaultVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+    	    param_named_auto world world_matrix
+    	    param_named_auto worldview worldview_matrix
+    	    param_named_auto worldI inverse_world_matrix	    
+         } 
+		 fragment_program_ref 	Metal1BouncePS
+         { 
+			param_named_auto cameraPos camera_position
+			//param_named n float3 0.21 0.96 1.17
+			//param_named k float3 4.16 2.57 2.32
+			param_named F0 float3 0.95 0.63 0.54			
+		} 
+		
+		//Cube map for reflections and refractions	
+		texture_unit
+		{
+			
+		}
+
+		//Cube map of distances
+		texture_unit
+		{
+			
+		}
+	  }
+    }
+}
+
+fragment_program NormalDistancePS hlsl
+{
+	source MetalTeapot.hlsl
+	entry_point NormalDistancePS
+	target ps_3_0
+} 
+
+material NormalDistanceCW
+{
+ technique 
+ { 
+  pass 
+  { 
+    cull_hardware clockwise
+    
+	vertex_program_ref DefaultVS
+    {       
+        param_named_auto worldViewProj worldviewproj_matrix 
+	    param_named_auto world world_matrix
+	    param_named_auto worldview worldview_matrix
+    	param_named_auto worldI inverse_world_matrix    
+    }
+    fragment_program_ref NormalDistancePS
+    { 
+		param_named refIndex float 200		
+	} 
+  }
+ }
+}
+
+material NormalDistanceCCW
+{
+ technique 
+ { 
+  pass 
+  { 
+    cull_hardware anticlockwise
+	vertex_program_ref DefaultVS
+    {       
+        param_named_auto worldViewProj worldviewproj_matrix 
+	    param_named_auto world world_matrix
+	    param_named_auto worldview worldview_matrix
+    	param_named_auto worldI inverse_world_matrix    
+    }
+    fragment_program_ref NormalDistancePS
+    { 
+		param_named refIndex float 200	
+	} 
+  }
+ }
+}
+
+fragment_program DistanceMinMaxPS hlsl
+{
+	source MetalTeapot.hlsl
+	entry_point DistanceMinMaxPS
+	target ps_3_0
+} 
+
+material DistanceMinMaxCW
+{
+ technique 
+ { 
+  pass 
+  { 
+    cull_hardware clockwise
+    scene_blend max
+    depth_test off
+    polygon_mode points
+    
+	vertex_program_ref DefaultVS
+    {       
+        param_named_auto worldViewProj worldviewproj_matrix 
+	    param_named_auto world world_matrix
+	    param_named_auto worldview worldview_matrix
+    	param_named_auto worldI inverse_world_matrix    
+    }
+    fragment_program_ref DistanceMinMaxPS
+    { 			
+	} 
+  }
+ }
+}
+
+material DistanceMinMaxCCW
+{
+ technique 
+ { 
+  pass 
+  { 
+    cull_hardware anticlockwise
+    scene_blend max
+    depth_test off
+    polygon_mode points
+        
+	vertex_program_ref DefaultVS
+    {       
+        param_named_auto worldViewProj worldviewproj_matrix 
+	    param_named_auto world world_matrix
+	    param_named_auto worldview worldview_matrix
+    	param_named_auto worldI inverse_world_matrix    
+    }
+    fragment_program_ref DistanceMinMaxPS
+    { 		
+	} 
+  }
+ }
+}
+
+fragment_program MetalMultipleBouncePS hlsl
+{
+	//source MetalTeapot.hlsl
+	//entry_point MetalMultipleBouncePS
+	source MetalTeapotNew.hlsl
+    entry_point mainPS
+
+	target ps_3_0
+	flow_control prefer
+} 
+
+material MetalTeapotMultipleBounce_0
+{ 
+   technique 
+   { 
+      pass 
+      { 
+        //cull_hardware none
+		IllumTechniques
+		{
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1024
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true					
+			}
+			RenderTechnique DistanceCubeMap
+			{
+				resolution 1024
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+			}
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1024
+				layer 1
+				texture_unit_id 2
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				render_env false
+				render_self true
+				self_material NormalDistanceCCW
+			}
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1024
+				layer 2
+				texture_unit_id 3
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				render_env false
+				render_self true
+				self_material NormalDistanceCW
+			}
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1
+				layer 3				
+				attach_to_texture_unit false
+				get_minmax true
+				max_var_name minmax
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				render_env true
+				render_self false
+				env_material DistanceMinMaxCW
+			}
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1
+				layer 4
+				attach_to_texture_unit false
+				get_minmax true
+				max_var_name minmax1
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				render_env false
+				render_self true
+				self_material DistanceMinMaxCCW
+			}
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1
+				layer 5
+				attach_to_texture_unit false
+				get_minmax true
+				max_var_name minmax2
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				render_env false
+				render_self true
+				self_material DistanceMinMaxCW
+			}			
+		 }
+		 vertex_program_ref DefaultVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+    	    param_named_auto world world_matrix
+    	    param_named_auto worldview worldview_matrix
+    	    param_named_auto worldI inverse_world_matrix
+	    
+         } 
+		 fragment_program_ref 	MetalMultipleBouncePS
+         { 
+			param_named_auto cameraPos camera_position
+			//param_named n float3 0.21 0.96 1.17
+			//param_named k float3 4.16 2.57 2.32
+			param_named F0 float3 0.95 0.95 0.95
+			param_named SingleBounce float 0.0
+			param_named refIndex float 0.6667			
+		} 
+		
+		//Cube map of environment
+		texture_unit
+		{
+			//filtering none
+		}
+		//Cube map of environment distances
+		texture_unit
+		{
+			filtering none
+		}
+		
+		//Cube map of reflective object's normals and distances CCW
+		texture_unit
+		{
+			filtering none
+		}		
+		//Cube map of reflective object's normals and distances CW
+		texture_unit
+		{
+			filtering none
+		}
+	  }
+    }
+}
+
+
+
+
+material MetalTeapotMultipleBounce
+{ 
+   technique 
+   { 
+      pass 
+      { 
+        //cull_hardware none
+		IllumTechniques
+		{
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1024
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+								
+			}
+			RenderTechnique DistanceCubeMap
+			{
+				resolution 1024
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				get_minmax true
+				min_var_name min
+				max_var_name max
+			}
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1024
+				layer 1
+				texture_unit_id 2
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				render_env false
+				render_self true
+				self_material NormalDistanceCCW
+				get_minmax true
+				min_var_name min1
+				max_var_name max1
+			}
+			RenderTechnique ColorCubeMap
+			{
+				resolution 1024
+				layer 2
+				texture_unit_id 3
+				update_interval		0
+				distance_calc false
+				face_angle_calc false
+				update_all_face true
+				render_env false
+				render_self true
+				self_material NormalDistanceCW
+				get_minmax true
+				min_var_name min2
+				max_var_name max2
+			}				
+		 }
+		 vertex_program_ref DefaultVS
+         {       
+            param_named_auto worldViewProj worldviewproj_matrix 
+    	    param_named_auto world world_matrix
+    	    param_named_auto worldview worldview_matrix
+    	    param_named_auto worldI inverse_world_matrix
+	    
+         } 
+		 fragment_program_ref 	MetalMultipleBouncePS
+         { 
+			param_named_auto cameraPos camera_position
+			//param_named n float3 0.21 0.96 1.17
+			//param_named k float3 4.16 2.57 2.32
+			param_named F0 float3 0.95 0.95 0.95
+			param_named SingleBounce float 0.0
+			param_named refIndex float 0.6667			
+		} 
+		
+		//Cube map of environment
+		texture_unit
+		{
+			//filtering none
+		}
+		//Cube map of environment distances
+		texture_unit
+		{
+			filtering none
+		}
+		
+		//Cube map of reflective object's normals and distances CCW
+		texture_unit
+		{
+			filtering none
+		}		
+		//Cube map of reflective object's normals and distances CW
+		texture_unit
+		{
+			filtering none
+		}
+	  }
+    }
+}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Diffuse.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Diffuse.material	(revision 1955)
+++ 	(revision )
@@ -1,310 +1,0 @@
-material GameTools/CubeMap/Reduce
-{ 
-
-   technique 
-   { 
-       pass 
-       { 
-       //depth_check off
-	   lighting off
-	
-	    vertex_program_ref GameTools/CubeMap/VertexPrograms/ReduceVS
-         {       
-           // param_named_auto worldViewProj worldviewproj_matrix
-	       // param_named_auto world world_matrix 
-         } 
-	 fragment_program_ref GameTools/CubeMap/FragmentPrograms/ReducePS
-         { 
-		//param_named_auto cameraPos camera_position	 
-         param_named nFace int 0
-         param_named CUBEMAP_SIZE int 256
-         //param_named RATE int 2
-         
-        } 
-		
-	 //Cube map for reflections and refractions	
-	 texture_unit
-	 {
-	   filtering point point point
-	   cubic_texture cubemap.jpg combinedUVW
-	   tex_address_mode clamp
-	  // env_map cubic_reflection
-	   colour_op modulate
-	 }
-
-
-	}
-    }
-}
-
-material GameTools/Diffuse
-{ 
-   technique 
-   { 
-      pass 
-      { 
-		
-		IllumTechniques
-		{
-			RenderTechnique DistanceCubeMap
-			{
-				update_interval		1
-				distance_calc false						
-			}
-			RenderTechnique ReducedColorCubeMap
-			{
-				update_interval		1
-				reduced_resolution 4
-				resolution 128
-				distance_calc false
-				face_angle_calc false
-				update_all_face		true
-			}
-		}
-      
-
-		vertex_program_ref GameTools/DiffuseVS
-		{       
-		 param_named_auto worldViewProj worldviewproj_matrix 
-    		param_named_auto world world_matrix  
-        
-		} 
-		fragment_program_ref GameTools/DiffusePS
-		{ 
-			param_named REDUCED_CUBEMAP_SIZE int 8
-			param_named lastCenter float3 0 0 0		
-		} 
-		
-		//Cube map for reflections and refractions	
-		texture_unit
-		{
-			cubic_texture cubemap.jpg combinedUVW
-			tex_address_mode clamp
-			colour_op replace
-		}
-
-		//Cube map of distances
-		texture_unit
-		 {
-		   cubic_texture cubemap.jpg combinedUVW
-		   tex_address_mode clamp
-		   colour_op replace
-		 }
-	 }
-   }
-}
-
-
-
-vertex_program Diffuse2VS hlsl
-{
-	source GameTools_Diffuse.hlsl
-	entry_point DiffuseVS
-	target vs_3_0	
-} 
-
-fragment_program Diffuse2PS hlsl
-{
-	source GameTools_Diffuse.hlsl
-	entry_point DiffusePS
-	target ps_3_0
-	flow_control prefer
-} 
-
-
-
-material GameTools/Diffuse/use
-{ 
-   technique 
-   { 
-      pass 
-      { 
-		
-		IllumTechniques
-		{
-			
-			RenderTechnique DistanceCubeMap
-			{
-				update_interval		1
-				update_all_face		true
-				distance_calc		false
-				face_angle_calc		false
-				resolution			128						
-			}
-			RenderTechnique ReducedColorCubeMap
-			{
-				update_interval		1
-				reduced_resolution 4
-				resolution 128
-				distance_calc false
-				face_angle_calc false
-				update_all_face		true
-			}
-		}
-      
-
-		vertex_program_ref Diffuse2VS
-		{       
-			param_named_auto worldViewProj worldviewproj_matrix 
-    		param_named_auto worldI inverse_world_matrix  
-    		param_named_auto world world_matrix
-        
-		} 
-		fragment_program_ref Diffuse2PS
-		{ 
-			param_named lastCenter float3 0 0 0
-		} 
-		
-		//Cube map for reflections and refractions	
-		texture_unit
-		{
-			
-		}
-
-		//Cube map of distances
-		texture_unit
-		 {
-		  
-		 }
-	 }
-   }
-}
-
-vertex_program DiffuseBumpVS hlsl
-{
-	source GameTools_Diffuse.hlsl
-	entry_point DiffuseBumpVS
-	target vs_3_0
-} 
-
-fragment_program DiffuseBumpPS hlsl
-{
-	source GameTools_Diffuse.hlsl
-	entry_point DiffuseBumpPS
-	target ps_3_0
-	flow_control prefer
-} 
-
-
-
-material GameTools/DiffuseBump
-{ 
-   technique 
-   { 
-      pass 
-      { 
-		
-		IllumTechniques
-		{
-			RenderTechnique DistanceCubeMap
-			{
-				update_interval		1
-				update_all_face		true
-				distance_calc		false
-				face_angle_calc		false
-				resolution			128						
-			}
-			RenderTechnique ReducedColorCubeMap
-			{
-				update_interval		1
-				reduced_resolution 4
-				resolution 128
-				distance_calc false
-				face_angle_calc false
-				update_all_face		true
-			}
-		}
-      
-
-		vertex_program_ref DiffuseBumpVS
-		{       
-			param_named_auto worldViewProj worldviewproj_matrix 
-    		param_named_auto world world_matrix
-        
-		} 
-		fragment_program_ref DiffuseBumpPS
-		{ 
-			param_named_auto worldI inverse_world_matrix  
-    		param_named lastCenter float3 0 0 0
-		} 
-		
-		//Cube map for reflections and refractions	
-		texture_unit
-		{			
-		}
-
-		//Cube map of distances
-		texture_unit
-		 {
-		     
-		 }
-		 texture_unit
-		 {
-			texture atheneNormalMapNew.dds
-		 }
-	 }
-   }
-}
-
-fragment_program DiffuseP2PPS hlsl
-{
-	source GameTools_Diffuse.hlsl
-	entry_point EnvMapDiffuseP2PPS
-	target ps_3_0
-	flow_control prefer
-} 
-
-material GameTools/DiffuseP2P
-{ 
-   technique 
-   { 
-      pass 
-      { 
-		
-		IllumTechniques
-		{
-			RenderTechnique DistanceCubeMap
-			{
-				update_interval		1
-				resolution 128
-				distance_calc false	
-				face_angle_calc false
-				update_all_face		true					
-			}
-			RenderTechnique ReducedColorCubeMap
-			{
-				update_interval		1
-				reduced_resolution 4
-				resolution 128
-				distance_calc false
-				face_angle_calc false
-				update_all_face		true
-			}
-		}
-      
-
-		vertex_program_ref Diffuse2VS
-		{       
-			param_named_auto worldViewProj worldviewproj_matrix 
-    		param_named_auto worldI inverse_world_matrix  
-    		param_named_auto world world_matrix        
-		} 
-		fragment_program_ref DiffuseP2PPS
-		{ 
-			param_named lastCenter float3 0 0 0				
-		} 
-		
-		//Cube map for reflections and refractions	
-		texture_unit
-		{
-			
-		}
-
-		//Cube map of distances
-		texture_unit
-		 {
-		  
-		 }
-	 }
-   }
-}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Particles.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Particles.material	(revision 1424)
+++ 	(revision )
@@ -1,115 +1,0 @@
-material GameTools/SpriteShader
-{ 
-
-   technique 
-   { 
-   	pass 
-      { 
-		
-		cull_hardware none
-		cull_software none
-		lighting off
-		scene_blend add
-		depth_write off
-
-		vertex_program_ref GameTools/SpriteVS
-			{       
-				param_named_auto worldViewProj worldviewproj_matrix 
-				param_named_auto worldView worldview_matrix
-				param_named_auto Proj projection_matrix	    
-			} 
-		fragment_program_ref  GameTools/SpritePS
-			{ 
-			 
-			}
-
-		texture_unit
-		{
-		texture flare.png
-		}
-
-       }
-    }
-}
-
-
-material GameTools/SBB
-{ 
-
-   technique 
-   { 
-   	pass 
-      { 
-	lighting off
-	
-	scene_blend src_alpha one
-	//scene_blend src_alpha one_minus_src_alpha
-	depth_write off
-	depth_check off
-	
-	 vertex_program_ref GameTools/SBBVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-            param_named_auto worldView worldview_matrix
-	    param_named_auto Proj projection_matrix
-	    param_named_auto width viewport_width 	
-	    param_named_auto height viewport_height 
-	    	
-	    
-         } 
-	 fragment_program_ref  GameTools/SBBPS
-         { 
-            param_named_auto farplane far_clip_distance	  
-	    param_named_auto nearplane near_clip_distance
-	   	  
-         }
-
-	 texture_unit
-	 {
-	   anim_texture smokealpha.tga 32 2.0
-		//texture flare.png
-	 }
-
-	 texture_unit
-	 {
-	   filtering none
-	 }
-	
-	 texture_unit
-	 {
-	   texture planck.tga
-	 }
-
-       }
-    }
-}
-
-material GameTools/HPS
-{ 
-
-   technique 
-   { 
-      pass 
-      { 
-		IllumTechniques
-		{
-			RenderTechnique HPS
-			{
-				particle_script GameTools/Little
-				perspective false
-			}			
-		}
-		
-		scene_blend add
-		
-		lighting off		
-		depth_check off
-		
-	    texture_unit
-		{
-			texture 
-		}		
-	}
-  }
-}
-
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_HPS.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_HPS.material	(revision 1879)
+++ 	(revision )
@@ -1,308 +1,0 @@
-vertex_program HPS_Smoke_S_VS hlsl
-{
-	source GameTools_HPS_Smoke_S.hlsl
-	entry_point HPS_Smoke_S_VS
-	target vs_3_0
-} 
-
-fragment_program HPS_Smoke_S_PS hlsl
-{
-	source GameTools_HPS_Smoke_S.hlsl
-	entry_point HPS_Smoke_S_PS
-	target ps_3_0
-} 
-
-
-
-material HPS_SMOKE_S
-{
-	technique
-	{
-		pass
-		{			
-			vertex_program_ref HPS_Smoke_S_VS
-			{       
-				param_named_auto worldViewProj worldviewproj_matrix 
-				param_named_auto worldView worldview_matrix
-				param_named_auto Proj projection_matrix	    
-			} 
-			fragment_program_ref  HPS_Smoke_S_PS
-			{ 
-				param_named_auto Proj projection_matrix
-			}
-			
-			texture_unit
-			{
-				texture smoke2.jpg
-			}
-			
-			depth_check off
-			scene_blend_op max
-			scene_blend_op_alpha add
-			scene_blend_alpha one one_minus_src_alpha
-
-		}
-	}
-}
-
-
-vertex_program HPS_Smoke_L_VS hlsl
-{
-	source GameTools_HPS_Smoke_L.hlsl
-	entry_point HPS_Smoke_L_VS
-	target vs_3_0
-} 
-
-fragment_program HPS_Smoke_L_PS hlsl
-{
-	source GameTools_HPS_Smoke_L.hlsl
-	entry_point HPS_Smoke_L_PS
-	target ps_3_0
-} 
-
-
-
-material HPS_SMOKE_L
-{
-	technique
-	{
-		pass
-		{	
-			IllumTechniques
-			{
-				RenderTechnique HPS
-				{
-					particle_script GameTools/Little
-					perspective false
-					vparam_radius baseRadius									
-				}
-								
-			}
-				
-			vertex_program_ref HPS_Smoke_L_VS
-			{       
-				param_named_auto worldViewProj worldviewproj_matrix 
-				param_named_auto worldView worldview_matrix
-				param_named_auto Proj projection_matrix					    
-			} 
-			fragment_program_ref  HPS_Smoke_L_PS
-			{ 
-				param_named_auto Proj projection_matrix
-			}
-			
-			depth_check off			
-			scene_blend alpha_blend
-			
-			//impostor texture
-			texture_unit
-			{
-				
-			}
-			
-
-		}
-	}
-}
-
-vertex_program HPS_Smoke_L_Depth_VS hlsl
-{
-	source GameTools_HPS_Smoke_L_Depth.hlsl
-	entry_point HPS_Smoke_L_Depth_VS
-	target vs_3_0
-} 
-
-fragment_program HPS_Smoke_L_Depth_PS hlsl
-{
-	source GameTools_HPS_Smoke_L_Depth.hlsl
-	entry_point HPS_Smoke_L_Depth_PS
-	target ps_3_0
-} 
-
-material HPS_SMOKE_L_Depth
-{
-	technique
-	{
-		pass
-		{	
-			IllumTechniques
-			{
-				RenderTechnique HPS
-				{
-					particle_script GameTools/FogLittle
-					perspective false
-					vparam_radius baseRadius
-					update_interval 1				
-				}
-				RenderTechnique SphericalBillboard
-				{
-					texture_unit_id		1					
-				}								
-			}
-				
-			vertex_program_ref HPS_Smoke_L_Depth_VS
-			{       
-				param_named_auto worldViewProj worldviewproj_matrix 
-				param_named_auto worldView worldview_matrix
-				param_named_auto worldViewInv inverse_worldview_matrix
-				param_named_auto Proj projection_matrix	
-				param_named_auto width viewport_width 	
-				param_named_auto height viewport_height								    
-			} 
-			fragment_program_ref  HPS_Smoke_L_Depth_PS
-			{ 
-				param_named_auto Proj projection_matrix
-				param_named_auto farplane far_clip_distance
-				param_named_auto nearplane near_clip_distance
-				
-				
-			}
-			
-			depth_check off			
-			depth_write off
-			scene_blend alpha_blend
-			
-			//impostor texture
-			texture_unit
-			{
-				//filtering none
-			}
-			//scene depth texture
-			texture_unit
-			{
-				filtering none
-			}
-		}
-	}
-}
-
-vertex_program HPS_Smoke_L_Depth_Illum_VS hlsl
-{
-	source GameTools_HPS_Smoke_L_Depth.hlsl
-	entry_point HPS_Smoke_L_Depth_Illum_VS
-	target vs_3_0
-} 
-
-fragment_program HPS_Smoke_L_Depth_Illum_PS hlsl
-{
-	source GameTools_HPS_Smoke_L_Depth.hlsl
-	entry_point HPS_Smoke_L_Depth_Illum_PS
-	target ps_3_0
-} 
-
-
-material HPS_SMOKE_L_Depth_Illum
-{
-	technique
-	{
-		pass
-		{	
-			IllumTechniques
-			{
-				RenderTechnique HPS
-				{
-					particle_script GameTools/Little
-					perspective false
-					vparam_radius baseRadius
-					update_interval 1				
-				}
-				RenderTechnique SphericalBillboard
-				{
-					texture_unit_id		1					
-				}			
-				RenderTechnique IllumVolume
-				{
-					update_interval 1
-					//depths 4
-					resolution 128
-				}	
-			}
-				
-			vertex_program_ref HPS_Smoke_L_Depth_Illum_VS
-			{       
-				param_named_auto worldViewProj worldviewproj_matrix 
-				param_named_auto worldView worldview_matrix
-				param_named_auto worldViewInv inverse_worldview_matrix
-				param_named_auto Proj projection_matrix	
-				param_named_auto width viewport_width 	
-				param_named_auto height viewport_height								    
-			} 
-			fragment_program_ref  HPS_Smoke_L_Depth_Illum_PS
-			{ 
-				param_named_auto Proj projection_matrix
-				param_named_auto farplane far_clip_distance
-				
-				
-			}
-			
-			depth_check off			
-			depth_write off
-			scene_blend alpha_blend
-			
-			//impostor texture
-			texture_unit
-			{
-				//filtering none
-			}
-			//scene depth texture
-			texture_unit
-			{
-				filtering none
-			}
-			//lightVolume
-			texture_unit
-			{
-				//filtering none
-			}
-
-		}
-	}
-}
-
-vertex_program Smoke_IllumVolume_VS hlsl
-{
-	source GameTools_Smoke_IllumVolume.hlsl
-	entry_point SmokeIllumVolumeVS
-	target vs_3_0
-} 
-
-fragment_program HPS_IllumVolume_PS hlsl
-{
-	source GameTools_Smoke_IllumVolume.hlsl
-	entry_point SmokeIllumVolumePS
-	target ps_3_0
-} 
-
-material Smoke_IllumVolume
-{ 
-
-   technique 
-   { 
-   	pass 
-      { 
-		
-		cull_hardware none
-		cull_software none
-		lighting off
-		scene_blend zero one_minus_src_colour
-		depth_write off
-
-		vertex_program_ref Smoke_IllumVolume_VS
-			{       
-				param_named_auto worldViewProj worldviewproj_matrix 
-				param_named_auto worldView worldview_matrix
-				param_named_auto Proj projection_matrix	    
-			} 
-		fragment_program_ref  HPS_IllumVolume_PS
-			{ 
-			 
-			}
-
-		texture_unit
-		{
-		texture pamacs.dds
-		}
-
-       }
-    }
-}
-
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/MetalTeapot.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/MetalTeapot.material	(revision 1959)
+++ 	(revision )
@@ -1,433 +1,0 @@
-vertex_program DefaultVS hlsl
-{
-	source MetalTeapot.hlsl
-	entry_point DefaultVS
-	target vs_2_0 
-} 
-
-fragment_program Metal1BouncePS hlsl
-{
-	source MetalTeapot.hlsl
-	entry_point Metal1BouncePS
-	target ps_3_0
-} 
-
-material MetalTeapot
-{ 
-   technique 
-   { 
-      pass 
-      { 
-		IllumTechniques
-		{
-			RenderTechnique ColorCubeMap
-			{
-				update_interval		0
-				distance_calc false
-				face_angle_calc false					
-			}
-			RenderTechnique DistanceCubeMap
-			{
-				update_interval		0
-				distance_calc true false
-				face_angle_calc true false		
-			}
-		
-		 }
-		 vertex_program_ref DefaultVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-    	    param_named_auto world world_matrix
-    	    param_named_auto worldview worldview_matrix
-    	    param_named_auto worldI inverse_world_matrix	    
-         } 
-		 fragment_program_ref 	Metal1BouncePS
-         { 
-			param_named_auto cameraPos camera_position
-			//param_named n float3 0.21 0.96 1.17
-			//param_named k float3 4.16 2.57 2.32
-			param_named F0 float3 0.95 0.63 0.54			
-		} 
-		
-		//Cube map for reflections and refractions	
-		texture_unit
-		{
-			
-		}
-
-		//Cube map of distances
-		texture_unit
-		{
-			
-		}
-	  }
-    }
-}
-
-fragment_program NormalDistancePS hlsl
-{
-	source MetalTeapot.hlsl
-	entry_point NormalDistancePS
-	target ps_3_0
-} 
-
-material NormalDistanceCW
-{
- technique 
- { 
-  pass 
-  { 
-    cull_hardware clockwise
-    
-	vertex_program_ref DefaultVS
-    {       
-        param_named_auto worldViewProj worldviewproj_matrix 
-	    param_named_auto world world_matrix
-	    param_named_auto worldview worldview_matrix
-    	param_named_auto worldI inverse_world_matrix    
-    }
-    fragment_program_ref NormalDistancePS
-    { 
-		param_named refIndex float 200		
-	} 
-  }
- }
-}
-
-material NormalDistanceCCW
-{
- technique 
- { 
-  pass 
-  { 
-    cull_hardware anticlockwise
-	vertex_program_ref DefaultVS
-    {       
-        param_named_auto worldViewProj worldviewproj_matrix 
-	    param_named_auto world world_matrix
-	    param_named_auto worldview worldview_matrix
-    	param_named_auto worldI inverse_world_matrix    
-    }
-    fragment_program_ref NormalDistancePS
-    { 
-		param_named refIndex float 200	
-	} 
-  }
- }
-}
-
-fragment_program DistanceMinMaxPS hlsl
-{
-	source MetalTeapot.hlsl
-	entry_point DistanceMinMaxPS
-	target ps_3_0
-} 
-
-material DistanceMinMaxCW
-{
- technique 
- { 
-  pass 
-  { 
-    cull_hardware clockwise
-    scene_blend_op max
-    depth_test off
-    polygon_mode points
-    
-	vertex_program_ref DefaultVS
-    {       
-        param_named_auto worldViewProj worldviewproj_matrix 
-	    param_named_auto world world_matrix
-	    param_named_auto worldview worldview_matrix
-    	param_named_auto worldI inverse_world_matrix    
-    }
-    fragment_program_ref DistanceMinMaxPS
-    { 			
-	} 
-  }
- }
-}
-
-material DistanceMinMaxCCW
-{
- technique 
- { 
-  pass 
-  { 
-    cull_hardware anticlockwise
-    scene_blend_op max
-    depth_test off
-    polygon_mode points
-        
-	vertex_program_ref DefaultVS
-    {       
-        param_named_auto worldViewProj worldviewproj_matrix 
-	    param_named_auto world world_matrix
-	    param_named_auto worldview worldview_matrix
-    	param_named_auto worldI inverse_world_matrix    
-    }
-    fragment_program_ref DistanceMinMaxPS
-    { 		
-	} 
-  }
- }
-}
-
-fragment_program MetalMultipleBouncePS hlsl
-{
-	//source MetalTeapot.hlsl
-	//entry_point MetalMultipleBouncePS
-	source MetalTeapotNew.hlsl
-    entry_point mainPS
-
-	target ps_3_0
-	flow_control prefer
-} 
-
-material MetalTeapotMultipleBounce
-{ 
-   technique 
-   { 
-      pass 
-      { 
-        //cull_hardware none
-		IllumTechniques
-		{
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1024
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true					
-			}
-			RenderTechnique DistanceCubeMap
-			{
-				resolution 1024
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-			}
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1024
-				layer 1
-				texture_unit_id 2
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				render_env false
-				render_self true
-				self_material NormalDistanceCCW
-			}
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1024
-				layer 2
-				texture_unit_id 3
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				render_env false
-				render_self true
-				self_material NormalDistanceCW
-			}
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1
-				layer 3				
-				attach_to_texture_unit false
-				get_minmax true
-				max_var_name minmax
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				render_env true
-				render_self false
-				env_material DistanceMinMaxCW
-			}
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1
-				layer 4
-				attach_to_texture_unit false
-				get_minmax true
-				max_var_name minmax1
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				render_env false
-				render_self true
-				self_material DistanceMinMaxCCW
-			}
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1
-				layer 5
-				attach_to_texture_unit false
-				get_minmax true
-				max_var_name minmax2
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				render_env false
-				render_self true
-				self_material DistanceMinMaxCW
-			}			
-		 }
-		 vertex_program_ref DefaultVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-    	    param_named_auto world world_matrix
-    	    param_named_auto worldview worldview_matrix
-    	    param_named_auto worldI inverse_world_matrix
-	    
-         } 
-		 fragment_program_ref 	MetalMultipleBouncePS
-         { 
-			param_named_auto cameraPos camera_position
-			//param_named n float3 0.21 0.96 1.17
-			//param_named k float3 4.16 2.57 2.32
-			param_named F0 float3 0.95 0.95 0.95
-			param_named SingleBounce float 0.0
-			param_named refIndex float 0.6667			
-		} 
-		
-		//Cube map of environment
-		texture_unit
-		{
-			//filtering none
-		}
-		//Cube map of environment distances
-		texture_unit
-		{
-			filtering none
-		}
-		
-		//Cube map of reflective object's normals and distances CCW
-		texture_unit
-		{
-			filtering none
-		}		
-		//Cube map of reflective object's normals and distances CW
-		texture_unit
-		{
-			filtering none
-		}
-	  }
-    }
-}
-
-
-
-
-material MetalTeapotMultipleBounce_0
-{ 
-   technique 
-   { 
-      pass 
-      { 
-        //cull_hardware none
-		IllumTechniques
-		{
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1024
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-								
-			}
-			RenderTechnique DistanceCubeMap
-			{
-				resolution 1024
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				get_minmax true
-				min_var_name min
-				max_var_name max
-			}
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1024
-				layer 1
-				texture_unit_id 2
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				render_env false
-				render_self true
-				self_material NormalDistanceCCW
-				get_minmax true
-				min_var_name min1
-				max_var_name max1
-			}
-			RenderTechnique ColorCubeMap
-			{
-				resolution 1024
-				layer 2
-				texture_unit_id 3
-				update_interval		0
-				distance_calc false
-				face_angle_calc false
-				update_all_face true
-				render_env false
-				render_self true
-				self_material NormalDistanceCW
-				get_minmax true
-				min_var_name min2
-				max_var_name max2
-			}				
-		 }
-		 vertex_program_ref DefaultVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-    	    param_named_auto world world_matrix
-    	    param_named_auto worldview worldview_matrix
-    	    param_named_auto worldI inverse_world_matrix
-	    
-         } 
-		 fragment_program_ref 	MetalMultipleBouncePS
-         { 
-			param_named_auto cameraPos camera_position
-			//param_named n float3 0.21 0.96 1.17
-			//param_named k float3 4.16 2.57 2.32
-			param_named F0 float3 0.95 0.95 0.95
-			param_named SingleBounce float 0.0
-			param_named refIndex float 0.6667			
-		} 
-		
-		//Cube map of environment
-		texture_unit
-		{
-			//filtering none
-		}
-		//Cube map of environment distances
-		texture_unit
-		{
-			filtering none
-		}
-		
-		//Cube map of reflective object's normals and distances CCW
-		texture_unit
-		{
-			filtering none
-		}		
-		//Cube map of reflective object's normals and distances CW
-		texture_unit
-		{
-			filtering none
-		}
-	  }
-    }
-}
